apiVersion: v1

name: opensource/ansible/ansible-lint

tags:
- 5.1.3
- latest

args:
  BASE_IMAGE: opensource/ansible/ansible
  BASE_TAG: 4.5.0

labels:
  org.opencontainers.image.title: ansible-lint
  org.opencontainers.image.description: ansible-lint checks playbooks for practices
    and behaviour that could potentially be improved
  org.opencontainers.image.licenses: MIT
  org.opencontainers.image.url: https://github.com/ansible-community/ansible-lint
  org.opencontainers.image.vendor: opensource
  org.opencontainers.image.version: 5.1.3
  mil.dso.ironbank.image.keywords: ansible,lint,playbook
  mil.dso.ironbank.image.type: opensource
  mil.dso.ironbank.product.name: ansible-lint

resources:
- filename: ansible_lint-5.1.3-py3-none-any.whl
  url: https://files.pythonhosted.org/packages/98/c9/21efcb1a6a9f340726db400202e5b7869882b186668ca47ef86d8ef50b4d/ansible_lint-5.1.3-py3-none-any.whl
  validation:
    type: sha256
    value: 0a6396be6a4184b24aa83e76ec876bbdae4ed8a6a9ffb63e7d8fa56e5337b976
- filename: bracex-2.1.1-py3-none-any.whl
  url: https://files.pythonhosted.org/packages/0f/50/842c50df5f2b6811e2f3e3aa2b88d36bc5e4d950a6e9b5f74ccd5282e3f5/bracex-2.1.1-py3-none-any.whl
  validation:
    type: sha256
    value: 64e2a6d14de9c8e022cf40539ac8468ba7c4b99550a2b05fc87fd20e392e568f
- filename: colorama-0.4.4-py2.py3-none-any.whl
  url: https://files.pythonhosted.org/packages/44/98/5b86278fbbf250d239ae0ecb724f8572af1c91f4a11edf4d36a206189440/colorama-0.4.4-py2.py3-none-any.whl
  validation:
    type: sha256
    value: 9f47eda37229f68eee03b24b9748937c7dc3868f906e8ba69fbcbdd3bc5dc3e2
- filename: commonmark-0.9.1-py2.py3-none-any.whl
  url: https://files.pythonhosted.org/packages/b1/92/dfd892312d822f36c55366118b95d914e5f16de11044a27cf10a7d71bbbf/commonmark-0.9.1-py2.py3-none-any.whl
  validation:
    type: sha256
    value: da2f38c92590f83de410ba1a3cbceafbc74fee9def35f9251ba9a971d6d66fd9
- filename: enrich-1.2.6-py3-none-any.whl
  url: https://files.pythonhosted.org/packages/6a/5a/468e7a01473438775cf0cd929cd671ea4359b9a5395cd77a5e7f9840e6a6/enrich-1.2.6-py3-none-any.whl
  validation:
    type: sha256
    value: ed0b3ac33495cc95f1ccafaf6c7ec0a0fcabb20f7f7a90121f37eb83a85bf82b
- filename: Pygments-2.10.0-py3-none-any.whl
  url: https://files.pythonhosted.org/packages/78/c8/8d9be2f72d8f465461f22b5f199c04f7ada933add4dae6e2468133c17471/Pygments-2.10.0-py3-none-any.whl
  validation:
    type: sha256
    value: b8e67fe6af78f492b3c4b3e2970c0624cbf08beb1e493b2c99b9fa1b67a20380
- filename: rich-10.11.0-py3-none-any.whl
  url: https://files.pythonhosted.org/packages/df/c8/29044e2f495c60835349633874b07a05acc37339adb7ae749d0d33418235/rich-10.11.0-py3-none-any.whl
  validation:
    type: sha256
    value: 44bb3f9553d00b3c8938abf89828df870322b9ba43caf3b12bb7758debdc6dec
- filename: ruamel.yaml-0.17.16-py3-none-any.whl
  url: https://files.pythonhosted.org/packages/d3/cc/248dfb697bb98152c187ced584e505124ed952529d7f8e74b28f6f4d6f31/ruamel.yaml-0.17.16-py3-none-any.whl
  validation:
    type: sha256
    value: ea21da1198c4b41b8e7a259301cc9710d3b972bf8ba52f06218478e6802dd1f1
- filename: ruamel.yaml.clib-0.2.6-cp38-cp38-manylinux1_x86_64.whl
  url: https://files.pythonhosted.org/packages/15/7c/e65492dc1c311655760fb20a9f2512f419403fcdc9ada6c63f44d7fe7062/ruamel.yaml.clib-0.2.6-cp38-cp38-manylinux1_x86_64.whl
  validation:
    type: sha256
    value: 7f7ecb53ae6848f959db6ae93bdff1740e651809780822270eab111500842a84
- filename: tenacity-8.0.1-py3-none-any.whl
  url: https://files.pythonhosted.org/packages/f2/a5/f86bc8d67c979020438c8559cc70cfe3a1643fd160d35e09c9cca6a09189/tenacity-8.0.1-py3-none-any.whl
  validation:
    type: sha256
    value: f78f4ea81b0fabc06728c11dc2a8c01277bfc5181b321a4770471902e3eb844a
- filename: wcmatch-8.2-py3-none-any.whl
  url: https://files.pythonhosted.org/packages/44/61/54ab757af362820f97fa109210c365ddf0b1ede2fa66194dd1b980d0cb4d/wcmatch-8.2-py3-none-any.whl
  validation:
    type: sha256
    value: 9146b1ab9354e0797ef6ef69bc89cb32cb9f46d1b9eeef69c559aeec8f3bffb6

maintainers:
- email: ironbank@dsop.io
  username: adam.martin
  name: Adam Martin
  cht_member: true
- email: ironbank@dsop.io
  username: sean.melissari
  name: Sean Melissari
  cht_member: true
